Macro ForceRecompute

From FreeCAD Documentation
Revision as of 17:58, 27 December 2014 by Normandc (talk | contribs) (Changed syntaxhighlight tag to Code template)

File:Force Recompute Macro Force Recompute

Description
Forces manual recompute of model

Author: shoogen
Author
shoogen
Download
None
Links
Macro Version
1.0
Date last modified
None
FreeCAD Version(s)
None
Default shortcut
None
See also
None

Sometimes the user applies changes to the model in FreeCAD. But FreeCAD does not seem to recognize them. So the blue "Recompute" icon stayes greyed out. This small macro forces a manual recompute of the model.

Use

Just run the macro when needed.

Script

Macro Force_Recompute.py

# -*- coding: utf-8 -*-
# Force Recompute
# macro provided by shoogen

import FreeCAD
for obj in FreeCAD.ActiveDocument.Objects:
 obj.touch()
FreeCAD.ActiveDocument.recompute()

</syntaxhighlight>
<div style="clear:both"></div>